#VERTEX_CODE
precision highp float;

attribute vec4 vert_coord;
attribute vec4 text_coord;

varying mediump vec2 frag_text_coord;

void main()
{
    gl_Position     = vert_coord;
    frag_text_coord = text_coord.xy;
}
#END_CODE

#FRAGMENT_CODE
precision mediump float;

varying mediump vec2 frag_text_coord;

uniform sampler2D background_texture;
uniform sampler2D skin_texture;

uniform float minmaxrange;

void main()
{
    float background  = texture2D(background_texture, frag_text_coord).r;
    float skin        = texture2D(skin_texture, frag_text_coord).r;
    float softmax_val = 1.0 / (1.0 + exp2(minmaxrange * (background - skin)));  // use exp2 instead of exp to make the curve smoother

    gl_FragColor = vec4(vec3(softmax_val), 1.0);
}
#END_CODE