#VERTEX_CODE
precision highp float;

attribute vec4 vert_position;
attribute vec4 text_coord;

varying mediump vec2 frag_text_coord;

void main()
{
    gl_Position = vert_position;
    frag_text_coord = text_coord.xy;
}
#END_CODE

#FRAGMENT_CODE
precision mediump float;

varying mediump vec2 frag_text_coord;

uniform sampler2D input_image;
uniform sampler2D blur_image;

void main()
{
    vec3 input_color = texture2D(input_image, frag_text_coord).rgb;
    vec3 blur_color  = texture2D(blur_image, frag_text_coord).rgb;

    vec3 highpass = (blur_color - input_color) * 0.5 + 0.5;

    gl_FragColor = vec4(highpass, 1.0);
}
#END_CODE